%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rubyzip

%global rubyabi 1.9.1

Summary: A ruby module for reading and writing zip files
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.9.5
Release: 1%{?dist}
Group: Development/Languages
License: Ruby or GPLv2
URL: http://rubyzip.sourceforge.net/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A ruby library for reading and writing zip files.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_instdir}/Rakefile %{buildroot}%{gem_instdir}/TODO
rm -f %{buildroot}%{gem_instdir}/install.rb
chmod 664 %{buildroot}%{gem_libdir}/zip/*.rb
chmod 755 %{buildroot}%{gem_instdir}/samples/*.rb

# for some reason the write_simple example uses dos-style line endings; we
# could convert it, but it is simpler just to remove it
rm -f %{buildroot}%{gem_instdir}/samples/write_simple.rb

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README.md
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/samples


%changelog
* Wed May 15 2013 John Eckersberg <jeckersb@redhat.com> - 0.9.5-1
- Update to 0.9.5 (cfme_build #49)

* Fri Mar  1 2013 John Eckersberg <jeckersb@redhat.com> - 0.9.4-5
- SCL-ize specfile

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.9.4-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 03 2011 Chris Lalancette <clalance@redhat.com> - 0.9.4-1
- Initial package
